var ChartsAmcharts = function() {

    var initChart = function() {
        var chart = AmCharts.makeChart("chart", {
            "type": "serial",
            "theme": "dark",
            "pathToImages": App.getGlobalPluginsPath() + "amcharts/amcharts/images/",
            "autoMargins": false,
            "marginLeft": 25,
            "marginRight": 1,
            "marginTop": 10,
            "marginBottom": 26,

            "fontFamily": 'Open Sans',            
            "color":    '#888',
            
            "dataProvider": [{
                "months": 'Jan',
                "sent": 4000,
                "cost": 2000
            }, {
                "months": 'Feb',
                "sent": 2500,
                "cost": 1800
            }, {
                "months": 'Mar',
                "sent": 5000,
                "cost": 3200
            }, {
                "months": 'Apr',
                "sent": 9000,
                "cost": 1500
            }, {
                "months": 'May',
                "sent": 12000,
                "cost": 6000,
                "dashLengthLine": 5
            }, {
                "months": 'Jun',
                "sent": 6500,
                "cost": 1800,
                "dashLengthColumn": 5,
                "alpha": 0.2,
                "additional": "(Sending)"
            }],
            "valueAxes": [{
                "axisAlpha": 0,
                "position": "left"
            }],
            "startDuration": 1,
            "graphs": [{
                "alphaField": "alpha",
                "balloonText": "<span style='font-size:13px;'>[[title]] in [[category]] : <b>[[value]]</b> [[additional]]</span>",
                "dashLengthField": "dashLengthColumn",
                "fillAlphas": 1,
                "title": "SMS Sent",
                "type": "column",
                "valueField": "sent"
            }, {
                "balloonText": "<span style='font-size:13px;'>[[title]] in [[category]]:<b>[[value]]</b> [[additional]]</span>",
                "bullet": "round",
                "dashLengthField": "dashLengthLine",
                "lineThickness": 3,
                "bulletSize": 7,
                "bulletBorderAlpha": 1,
                "bulletColor": "#FFFFFF",
                "useLineColorForBulletBorder": true,
                "bulletBorderThickness": 3,
                "fillAlphas": 0,
                "lineAlpha": 1,
                "title": "Cost",
                "valueField": "cost"
            }],
            "categoryField": "months",
            "categoryAxis": {
                "gridPosition": "start",
                "axisAlpha": 0,
                "tickLength": 0
            }
        });

        $('#chart').closest('.portlet').find('.fullscreen').click(function() {
            chart.invalidateSize();
        });
    }

    return {

        init: function() {

            initChart();
        }

    };

}();

jQuery(document).ready(function() {    
   ChartsAmcharts.init(); 
});